Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job
Class JobMeta

    java.lang.Object
      org.pentaho.di.core.changed.ChangedFlag
          org.pentaho.di.job.JobMeta

All Implemented Interfaces:
  Cloneable, Comparable<JobMeta>, ChangedFlagInterface, EngineMetaInterface, UndoInterface, org.pentaho.di.core.parameters.NamedParams, org.pentaho.di.core.variables.VariableSpace, org.pentaho.di.core.xml.XMLInterface, ResourceExportInterface, HasDatabasesInterface, HasSlaveServersInterface

    public class JobMeta

extends ChangedFlag
implements Cloneable, Comparable<JobMeta>, org.pentaho.di.core.xml.XMLInterface, UndoInterface, HasDatabasesInterface, org.pentaho.di.core.variables.VariableSpace, EngineMetaInterface, ResourceExportInterface, HasSlaveServersInterface, org.pentaho.di.core.parameters.NamedParams

Defines a Job and provides methods to load, save, verify, etc.

Since:
  11-08-2003
Author:
  Matt

Field Summary
`List<org.pentaho.di.core.database.DatabaseMeta>` | `databases`
`List<JobEntryCopy>` | `jobcopies`
`List<JobEntryInterface>` | `jobentries`
`List<JobHopMeta>` | `jobhops`
`org.pentaho.di.core.logging.LogWriter` | `log`
`boolean[]` | `max`
`List<NotePadMeta>` | `notes`
`static String` | `STRING_SPECIAL`
`static String` | `STRING_SPECIAL_DUMMY`
`static String` | `STRING_SPECIAL_ERROR`
`static String` | `STRING_SPECIAL_OK`
`static String` | `STRING_SPECIAL_START`
`static int` | `TYPE_UNDO_CHANGE`
`static int` | `TYPE_UNDO_DELETE`
`static int` | `TYPE_UNDO_NEW`
`static int` | `TYPE_UNDO_POSITION`
`static String` | `XML_TAG`

Constructor Summary
`JobMeta(org.pentaho.di.core.logging.LogWriter l)`
`JobMeta(org.pentaho.di.core.logging.LogWriter log, Node jobnode, Repository rep, org.pentaho.di.core.gui.OverwritePrompter prompter)`
`JobMeta(org.pentaho.di.core.logging.LogWriter log, Repository rep, String jobname, RepositoryDirectory repdir)` Load a job in a directory
`JobMeta(org.pentaho.di.core.logging.LogWriter log, Repository rep, String jobname, RepositoryDirectory repdir, org.pentaho.di.core.ProgressMonitorListener monitor)` Load a job in a directory
`JobMeta(org.pentaho.di.core.logging.LogWriter log, String fname, Repository rep)`
`JobMeta(org.pentaho.di.core.logging.LogWriter log, String fname, Repository rep, org.pentaho.di.core.gui.OverwritePrompter prompter)`
`JobMeta(org.pentaho.di.core.logging.LogWriter log, org.pentaho.di.core.variables.VariableSpace parentSpace, String fname, Repository rep, org.pentaho.di.core.gui.OverwritePrompter prompter)` Load the job from the XML file specified.

Method Summary
`void` | `activateParameters()`
`void` | `addDatabase(org.pentaho.di.core.database.DatabaseMeta ci)` Add a database connection to the transformation.
`void` | `addDatabase(int p, org.pentaho.di.core.database.DatabaseMeta ci)` Add a database connection to the transformation on a certain location.
`void` | `addDefaults()`
`void` | `addFilenameChangedListener(FilenameChangedListener listener)`
`void` | `addJobEntry(int p, JobEntryCopy si)`
`void` | `addJobEntry(JobEntryCopy je)`
`void` | `addJobHop(int p, JobHopMeta hi)`
`void` | `addJobHop(JobHopMeta hi)`
`void` | `addNameChangedListener(NameChangedListener listener)`
`void` | `addNote(int p, NotePadMeta ni)`
`void` | `addNote(NotePadMeta ni)`
`void` | `addOrReplaceDatabase(org.pentaho.di.core.database.DatabaseMeta databaseMeta)` Add a database connection to the transformation if that connection didn't exists yet.
`void` | `addOrReplaceSlaveServer(SlaveServer slaveServer)` Add a new slave server to the transformation if that didn't exist yet.
`void` | `addParameterDefinition(String key, String defValue, String description)`
`void` | `addUndo(Object[] from, Object[] to, int[] pos, org.pentaho.di.core.gui.Point[] prev, org.pentaho.di.core.gui.Point[] curr, int type_of_change, boolean nextAlso)` Add an undo operation to the undo list
`void` | `checkJobEntries(List<org.pentaho.di.core.CheckResultInterface> remarks, boolean only_selected, org.pentaho.di.core.ProgressMonitorListener monitor)` Check all job entries within the job.
`void` | `clear()`
`void` | `clearChanged()`
`void` | `clearParameters()`
`void` | `clearUndo()`
`Object` | `clone()`
`int` | `compare(JobMeta t1, JobMeta t2)` Compares two transformation on name, filename
`int` | `compareTo(JobMeta o)`
`void` | `copyParametersFrom(org.pentaho.di.core.parameters.NamedParams params)`
`void` | `copyVariablesFrom(org.pentaho.di.core.variables.VariableSpace space)`
`int` | `countEntries(String name)`
`static JobEntryCopy` | `createDummyEntry()`
`static JobEntryCopy` | `createStartEntry()`
`String` | `environmentSubstitute(String aString)`
`String[]` | `environmentSubstitute(String[] aString)`
`boolean` | `equals(Object obj)`
`void` | `eraseParameters()`
`String` | `exportResources(org.pentaho.di.core.variables.VariableSpace space, Map<String,ResourceDefinition> definitions, ResourceNamingInterface namingInterface, Repository repository)` Exports the object to a flat-file system, adding content with filename keys to a set of definitions.
`org.pentaho.di.core.database.DatabaseMeta` | `findDatabase(String name)` Find a database connection by it's name
`static JobEntryInterface` | `findJobEntry(List<JobEntryInterface> jobentries, long id_jobentry)` Find a jobentry with a certain ID in a list of job entries.
`JobEntryCopy` | `findJobEntry(String full_name_nr)`
`JobEntryCopy` | `findJobEntry(String name, int nr, boolean searchHiddenToo)` Find an existing JobEntryCopy by it's name and number
`static JobEntryCopy` | `findJobEntryCopy(List<JobEntryCopy> jobcopies, long id_jobentry_copy)` Find a jobentrycopy with a certain ID in a list of job entry copies.
`JobHopMeta` | `findJobHop(JobEntryCopy from, JobEntryCopy to)`
`JobHopMeta` | `findJobHop(String name)`
`JobHopMeta` | `findJobHopFrom(JobEntryCopy jge)`
`JobHopMeta` | `findJobHopTo(JobEntryCopy jge)`
`int` | `findMaxNr(String name)`
`JobEntryCopy` | `findNextJobEntry(JobEntryCopy from, int cnt)`
`int` | `findNrNextJobEntries(JobEntryCopy from)`
`int` | `findNrPrevJobEntries(JobEntryCopy from)`
`int` | `findNrPrevJobEntries(JobEntryCopy to, boolean info)`
`JobEntryCopy` | `findPrevJobEntry(JobEntryCopy to, int nr)`
`JobEntryCopy` | `findPrevJobEntry(JobEntryCopy to, int nr, boolean info)`
`SlaveServer` | `findSlaveServer(String serverString)` Find a slave server using the name
`JobEntryCopy` | `findStart()`
`int` | `findUnusedNr(String name)`
`int` | `generateJobEntryNameNr(String basename)`
`JobEntryCopy[]` | `getAllJobGraphEntries(String name)`
`JobHopMeta[]` | `getAllJobHopsUsing(String name)`
`String` | `getAlternativeJobentryName(String entryname)` Proposes an alternative job entry name when the original already exists...
`String[]` | `getArguments()`
`boolean` | `getBooleanValueOfVariable(String variableName, boolean defaultValue)`
`Date` | `getCreatedDate()`
`String` | `getCreatedUser()`
`org.pentaho.di.core.database.DatabaseMeta` | `getDatabase(int i)` Retrieves a database connection information a a certain location.
`List<org.pentaho.di.core.database.DatabaseMeta>` | `getDatabases()` Get an ArrayList of defined DatabaseInfo objects.
`String` | `getDefaultExtension()`
`String` | `getDescription()`
`RepositoryDirectory` | `getDirectory()`
`JobEntryCopy` | `getDummy()`
`int[]` | `getEntryIndexes(JobEntryCopy[] entries)`
`String` | `getExtendedDescription()`
`String` | `getFilename()`
`String` | `getFileType()`
`String[]` | `getFilterExtensions()`
`String[]` | `getFilterNames()`
`long` | `getID()`
`JobEntryCopy` | `getJobEntry(int i)`
`JobEntryCopy` | `getJobEntryCopy(int x, int y, int iconsize)`
`JobHopMeta` | `getJobHop(int i)`
`int` | `getJobstatus()` Get the status of the job
`String` | `getJobversion()`
`org.pentaho.di.core.database.DatabaseMeta` | `getLogConnection()`
`String` | `getLogSizeLimit()`
`String` | `getLogTable()`
`org.pentaho.di.core.gui.Point` | `getMaximum()`
`int` | `getMaxUndo()` Get the maximum number of undo operations possible
`Date` | `getModifiedDate()`
`String` | `getModifiedUser()`
`String` | `getName()`
`NotePadMeta` | `getNote(int i)`
`NotePadMeta` | `getNote(int x, int y)`
`String` | `getParameterDefault(String key)`
`String` | `getParameterDescription(String key)`
`String` | `getParameterValue(String key)`
`org.pentaho.di.core.variables.VariableSpace` | `getParentVariableSpace()`
`List<ResourceReference>` | `getResourceDependencies()`
`JobEntryCopy` | `getSelected(int nr)`
`List<org.pentaho.di.core.gui.GUIPositionInterface>` | `getSelectedDrawnJobEntryList()` Get an array of all the selected job entries
`JobEntryCopy[]` | `getSelectedEntries()`
`org.pentaho.di.core.gui.Point[]` | `getSelectedLocations()`
`SharedObjects` | `getSharedObjects()`
`String` | `getSharedObjectsFile()`
`String[]` | `getSlaveServerNames()`
`List<SlaveServer>` | `getSlaveServers()`
`List<org.pentaho.di.core.SQLStatement>` | `getSQLStatements(Repository repository, org.pentaho.di.core.ProgressMonitorListener monitor)` Builds a list of all the SQL statements that this transformation needs in order to work properly.
`JobEntryCopy` | `getStart()`
`List<StringSearchResult>` | `getStringList(boolean searchSteps, boolean searchDatabases, boolean searchNotes)` Get a list of all the strings used in this job.
`int` | `getUndoSize()`
`List<String>` | `getUsedVariables()`
`String` | `getVariable(String variableName)`
`String` | `getVariable(String variableName, String defaultValue)`
`String` | `getXML()`
`boolean` | `hasChanged()`
`boolean` | `hasLoop(JobEntryCopy entry)`
`boolean` | `hasLoop(JobEntryCopy entry, JobEntryCopy lookup)`
`boolean` | `haveConnectionsChanged()` Checks whether or not the connections have changed.
`boolean` | `haveJobEntriesChanged()`
`boolean` | `haveJobHopsChanged()`
`boolean` | `haveNotesChanged()`
`int` | `indexOfDatabase(org.pentaho.di.core.database.DatabaseMeta di)` Find the location of database
`int` | `indexOfJobEntry(JobEntryCopy ge)`
`int` | `indexOfJobHop(JobHopMeta he)`
`int` | `indexOfNote(NotePadMeta ni)`
`void` | `initializeVariablesFrom(org.pentaho.di.core.variables.VariableSpace parent)`
`void` | `injectVariables(Map<String,String> prop)`
`boolean` | `isBatchIdPassed()`
`boolean` | `isBatchIdUsed()`
`boolean` | `isDatabaseConnectionUsed(org.pentaho.di.core.database.DatabaseMeta databaseMeta)` This method asks all steps in the transformation whether or not the specified database connection is used.
`boolean` | `isEntryUsedInHops(JobEntryCopy jge)`
`boolean` | `isFileReference()`
`static boolean` | `isFileReference(String fileName, String transName)`
`boolean` | `isLogfieldUsed()`
`boolean` | `isRepReference()`
`static boolean` | `isRepReference(String fileName, String transName)`
`String[]` | `listParameters()`
`String[]` | `listVariables()`
`void` | `loadXML(Node jobnode, Repository rep, org.pentaho.di.core.gui.OverwritePrompter prompter)`
`void` | `lowerNote(int p)`
`void` | `nameFromFilename()` Builds a name - if no name is set, yet - from the filename
`TransAction` | `nextUndo()` Get the next undo transaction on the list.
`int` | `nrDatabases()` Count the nr of databases in the transformation.
`int` | `nrJobEntries()`
`int` | `nrJobHops()`
`int` | `nrNotes()`
`int` | `nrSelected()`
`TransAction` | `previousUndo()` Get the previous undo operation and change the undo pointer
`void` | `raiseNote(int p)`
`void` | `readDatabases(Repository rep)` Read the database connections in the repository and add them to this job if they are not yet present.
`void` | `readDatabases(Repository rep, boolean overWriteShared)` Read the database connections in the repository and add them to this transformation if they are not yet present.
`SharedObjects` | `readSharedObjects(Repository rep)`
`void` | `readSlaves(Repository rep, boolean overWriteShared)` Read the slave servers in the repository and add them to this transformation if they are not yet present.
`Object` | `realClone(boolean doClear)`
`void` | `removeDatabase(int i)` Removes a database from the transformation on a certain location.
`void` | `removeFilenameChangedListener(FilenameChangedListener listener)`
`void` | `removeJobEntry(int i)`
`void` | `removeJobHop(int i)`
`void` | `removeNameChangedListener(NameChangedListener listener)`
`void` | `removeNote(int i)`
`void` | `renameJobEntryIfNameCollides(JobEntryCopy je)` See if the name of the supplied job entry copy doesn't collide with any other job entry copy in the job.
`void` | `saveRep(Repository rep)`
`void` | `saveRep(Repository rep, org.pentaho.di.core.ProgressMonitorListener monitor)`
`boolean` | `saveSharedObjects()`
`void` | `selectAll()`
`void` | `setArguments(String[] arguments)`
`void` | `setBatchIdPassed(boolean batchIdPassed)`
`void` | `setChanged(boolean ch)`
`void` | `setCreatedDate(Date createdDate)`
`void` | `setCreatedUser(String createdUser)`
`void` | `setDatabases(List<org.pentaho.di.core.database.DatabaseMeta> databases)`
`void` | `setDescription(String description)` Set the description of the job.
`void` | `setDirectory(RepositoryDirectory directory)`
`void` | `setExtendedDescription(String extendedDescription)` Set the description of the job.
`void` | `setFilename(String newFilename)` Set the filename of the job
`void` | `setID(long id)`
`void` | `setInternalKettleVariables()` Calls setInternalKettleVariables on the default object.
`void` | `setInternalKettleVariables(org.pentaho.di.core.variables.VariableSpace var)` This method sets various internal kettle variables that can be used by the transformation.
`void` | `setJobEntry(int idx, JobEntryCopy jec)`
`void` | `setJobstatus(int jobStatus)` Set the status of the job.
`void` | `setJobversion(String jobVersion)` Set the version of the job.
`void` | `setLogConnection(org.pentaho.di.core.database.DatabaseMeta ci)`
`void` | `setLogfieldUsed(boolean logfieldUsed)`
`void` | `setLogSizeLimit(String logSizeLimit)`
`void` | `setLogTable(String logTable)`
`void` | `setMaxUndo(int mu)` Sets the maximum number of undo operations that are allowed.
`void` | `setModifiedDate(Date modifiedDate)`
`void` | `setModifiedUser(String modifiedUser)`
`void` | `setName(String newName)` Set the name of the job.
`void` | `setParameterValue(String key, String value)`
`void` | `setParentVariableSpace(org.pentaho.di.core.variables.VariableSpace parent)`
`void` | `setSharedObjects(SharedObjects sharedObjects)`
`void` | `setSharedObjectsFile(String sharedObjectsFile)`
`void` | `setSlaveServers(List<SlaveServer> slaveServers)`
`void` | `setUseBatchId(boolean useBatchId)`
`void` | `setVariable(String variableName, String variableValue)`
`void` | `shareVariablesWith(org.pentaho.di.core.variables.VariableSpace space)`
`boolean` | `showReplaceWarning(Repository rep)`
`String` | `toString()`
`void` | `unselectAll()`
`TransAction` | `viewNextUndo()` Get the next undo transaction on the list.
`TransAction` | `viewPreviousUndo()` View previous undo, don't change undo position
`TransAction` | `viewThisUndo()` View current undo, don't change undo position

Methods inherited from class org.pentaho.di.core.changed.ChangedFlag
`addObserver, deleteObserver, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

### log

    public org.pentaho.di.core.logging.LogWriter log

### jobentries

    public List<JobEntryInterface> jobentries

### jobcopies

    public List<JobEntryCopy> jobcopies

### jobhops

    public List<JobHopMeta> jobhops

### notes

    public List<NotePadMeta> notes

### databases

    public List<org.pentaho.di.core.database.DatabaseMeta> databases

### TYPE_UNDO_CHANGE

    public static final int TYPE_UNDO_CHANGE

See Also:
  Constant Field Values

### TYPE_UNDO_NEW

    public static final int TYPE_UNDO_NEW

See Also:
  Constant Field Values

### TYPE_UNDO_DELETE

    public static final int TYPE_UNDO_DELETE

See Also:
  Constant Field Values

### TYPE_UNDO_POSITION

    public static final int TYPE_UNDO_POSITION

See Also:
  Constant Field Values

### STRING_SPECIAL

    public static final String STRING_SPECIAL

See Also:
  Constant Field Values

### STRING_SPECIAL_START

    public static final String STRING_SPECIAL_START

See Also:
  Constant Field Values

### STRING_SPECIAL_DUMMY

    public static final String STRING_SPECIAL_DUMMY

See Also:
  Constant Field Values

### STRING_SPECIAL_OK

    public static final String STRING_SPECIAL_OK

See Also:
  Constant Field Values

### STRING_SPECIAL_ERROR

    public static final String STRING_SPECIAL_ERROR

See Also:
  Constant Field Values

### max

    public boolean[] max

Constructor Detail

### JobMeta

    public JobMeta(org.pentaho.di.core.logging.LogWriter l)

### JobMeta

    public JobMeta(org.pentaho.di.core.logging.LogWriter log,
                   String fname,
                   Repository rep)
            throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

### JobMeta

    public JobMeta(org.pentaho.di.core.logging.LogWriter log,
                   String fname,
                   Repository rep,
                   org.pentaho.di.core.gui.OverwritePrompter prompter)
            throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

### JobMeta

    public JobMeta(org.pentaho.di.core.logging.LogWriter log,
                   org.pentaho.di.core.variables.VariableSpace parentSpace,
                   String fname,
                   Repository rep,
                   org.pentaho.di.core.gui.OverwritePrompter prompter)
            throws org.pentaho.di.core.exception.KettleXMLException

  Load the job from the XML file specified.

  Parameters:
    `log` - the logging channel
    `fname` - The filename to load as a job
    `rep` - The repository to bind againt, null if there is no repository available.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### JobMeta

    public JobMeta(org.pentaho.di.core.logging.LogWriter log,
                   Node jobnode,
                   Repository rep,
                   org.pentaho.di.core.gui.OverwritePrompter prompter)
            throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

### JobMeta

    public JobMeta(org.pentaho.di.core.logging.LogWriter log,
                   Repository rep,
                   String jobname,
                   RepositoryDirectory repdir)
            throws org.pentaho.di.core.exception.KettleException

  Load a job in a directory

  Parameters:
    `log` - the logging channel
    `rep` - The Repository
    `jobname` - The name of the job
    `repdir` - The directory in which the job resides.
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### JobMeta

    public JobMeta(org.pentaho.di.core.logging.LogWriter log,
                   Repository rep,
                   String jobname,
                   RepositoryDirectory repdir,
                   org.pentaho.di.core.ProgressMonitorListener monitor)
            throws org.pentaho.di.core.exception.KettleException

  Load a job in a directory

  Parameters:
    `log` - the logging channel
    `rep` - The Repository
    `jobname` - The name of the job
    `repdir` - The directory in which the job resides.
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Method Detail

### getID

    public long getID()

### setID

    public void setID(long id)

  Specified by:
    `setID` in interface `EngineMetaInterface`

### clear

    public void clear()

### addDefaults

    public void addDefaults()

### createStartEntry

    public static final JobEntryCopy createStartEntry()

### createDummyEntry

    public static final JobEntryCopy createDummyEntry()

### getStart

    public JobEntryCopy getStart()

### getDummy

    public JobEntryCopy getDummy()

### compare

    public int compare(JobMeta t1,
                       JobMeta t2)

  Compares two transformation on name, filename

### compareTo

    public int compareTo(JobMeta o)

  Specified by:
    `compareTo` in interface `Comparable<JobMeta>`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### realClone

    public Object realClone(boolean doClear)

### getName

    public String getName()

  Specified by:
    `getName` in interface `EngineMetaInterface`

### setName

    public void setName(String newName)

  Set the name of the job.

  Parameters:
    `newName` - The new name of the job

### nameFromFilename

    public void nameFromFilename()

  Builds a name - if no name is set, yet - from the filename

  Specified by:
    `nameFromFilename` in interface `EngineMetaInterface`

### getDirectory

    public RepositoryDirectory getDirectory()

  Specified by:
    `getDirectory` in interface `EngineMetaInterface`
  Returns:
    Returns the directory.

### setDirectory

    public void setDirectory(RepositoryDirectory directory)

  Parameters:
    `directory` - The directory to set.

### getFilename

    public String getFilename()

  Specified by:
    `getFilename` in interface `EngineMetaInterface`

### setFilename

    public void setFilename(String newFilename)

  Set the filename of the job

  Specified by:
    `setFilename` in interface `EngineMetaInterface`
  Parameters:
    `newFilename` - The new filename of the job

### getLogConnection

    public org.pentaho.di.core.database.DatabaseMeta getLogConnection()

### setLogConnection

    public void setLogConnection(org.pentaho.di.core.database.DatabaseMeta ci)

### getDatabases

    public List<org.pentaho.di.core.database.DatabaseMeta> getDatabases()

  Description copied from interface: `HasDatabasesInterface`
  Get an ArrayList of defined DatabaseInfo objects.

  Specified by:
    `getDatabases` in interface `HasDatabasesInterface`
  Returns:
    Returns the databases.

### setDatabases

    public void setDatabases(List<org.pentaho.di.core.database.DatabaseMeta> databases)

  Specified by:
    `setDatabases` in interface `HasDatabasesInterface`
  Parameters:
    `databases` - The databases to set.

### setChanged

    public void setChanged(boolean ch)

  Specified by:
    `setChanged` in interface `ChangedFlagInterface`
  Overrides:
    `setChanged` in class `ChangedFlag`

### clearChanged

    public void clearChanged()

  Specified by:
    `clearChanged` in interface `EngineMetaInterface`
  Overrides:
    `clearChanged` in class `ChangedFlag`

### hasChanged

    public boolean hasChanged()

  Specified by:
    `hasChanged` in interface `ChangedFlagInterface`
  Overrides:
    `hasChanged` in class `ChangedFlag`

### showReplaceWarning

    public boolean showReplaceWarning(Repository rep)

  Specified by:
    `showReplaceWarning` in interface `EngineMetaInterface`

### isDatabaseConnectionUsed

    public boolean isDatabaseConnectionUsed(org.pentaho.di.core.database.DatabaseMeta databaseMeta)

  This method asks all steps in the transformation whether or not the specified database connection is used. The connection is used in the transformation if any of the steps uses it or if it is being used to log to.

  Parameters:
    `databaseMeta` - The connection to check
  Returns:
    true if the connection is used in this transformation.

### getFileType

    public String getFileType()

  Specified by:
    `getFileType` in interface `EngineMetaInterface`

### getFilterNames

    public String[] getFilterNames()

  Specified by:
    `getFilterNames` in interface `EngineMetaInterface`

### getFilterExtensions

    public String[] getFilterExtensions()

  Specified by:
    `getFilterExtensions` in interface `EngineMetaInterface`

### getDefaultExtension

    public String getDefaultExtension()

  Specified by:
    `getDefaultExtension` in interface `EngineMetaInterface`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `EngineMetaInterface`
  Specified by:
    `getXML` in interface `org.pentaho.di.core.xml.XMLInterface`

### isRepReference

    public boolean isRepReference()

### isFileReference

    public boolean isFileReference()

### isRepReference

    public static boolean isRepReference(String fileName,
                                         String transName)

### isFileReference

    public static boolean isFileReference(String fileName,
                                          String transName)

### loadXML

    public void loadXML(Node jobnode,
                        Repository rep,
                        org.pentaho.di.core.gui.OverwritePrompter prompter)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### readDatabases

    public void readDatabases(Repository rep)
                       throws org.pentaho.di.core.exception.KettleException

  Read the database connections in the repository and add them to this job if they are not yet present.

  Parameters:
    `rep` - The repository to load the database connections from.
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### readDatabases

    public void readDatabases(Repository rep,
                              boolean overWriteShared)
                       throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `HasDatabasesInterface`
  Read the database connections in the repository and add them to this transformation if they are not yet present.

  Specified by:
    `readDatabases` in interface `HasDatabasesInterface`
  Parameters:
    `rep` - The repository to load the database connections from.
    `overWriteShared` - if an object with the same name exists, overwrite
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### readSlaves

    public void readSlaves(Repository rep,
                           boolean overWriteShared)
                    throws org.pentaho.di.core.exception.KettleException

  Read the slave servers in the repository and add them to this transformation if they are not yet present.

  Parameters:
    `rep` - The repository to load from.
    `overWriteShared` - if an object with the same name exists, overwrite
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### readSharedObjects

    public SharedObjects readSharedObjects(Repository rep)
                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveSharedObjects

    public boolean saveSharedObjects()

  Specified by:
    `saveSharedObjects` in interface `EngineMetaInterface`

### findDatabase

    public org.pentaho.di.core.database.DatabaseMeta findDatabase(String name)

  Find a database connection by it's name

  Specified by:
    `findDatabase` in interface `HasDatabasesInterface`
  Parameters:
    `name` - The database name to look for
  Returns:
    The database connection or null if nothing was found.

### saveRep

    public void saveRep(Repository rep)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        org.pentaho.di.core.ProgressMonitorListener monitor)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `saveRep` in interface `EngineMetaInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryCopy

    public JobEntryCopy getJobEntryCopy(int x,
                                        int y,
                                        int iconsize)

### nrJobEntries

    public int nrJobEntries()

### nrJobHops

    public int nrJobHops()

### nrNotes

    public int nrNotes()

### nrDatabases

    public int nrDatabases()

  Description copied from interface: `HasDatabasesInterface`
  Count the nr of databases in the transformation.

  Specified by:
    `nrDatabases` in interface `HasDatabasesInterface`
  Returns:
    The nr of databases

### getJobHop

    public JobHopMeta getJobHop(int i)

### getJobEntry

    public JobEntryCopy getJobEntry(int i)

### getNote

    public NotePadMeta getNote(int i)

### getDatabase

    public org.pentaho.di.core.database.DatabaseMeta getDatabase(int i)

  Description copied from interface: `HasDatabasesInterface`
  Retrieves a database connection information a a certain location.

  Specified by:
    `getDatabase` in interface `HasDatabasesInterface`
  Parameters:
    `i` - The database number.
  Returns:
    The database connection information.

### addJobEntry

    public void addJobEntry(JobEntryCopy je)

### addJobHop

    public void addJobHop(JobHopMeta hi)

### addNote

    public void addNote(NotePadMeta ni)

### addDatabase

    public void addDatabase(org.pentaho.di.core.database.DatabaseMeta ci)

  Description copied from interface: `HasDatabasesInterface`
  Add a database connection to the transformation.

  Specified by:
    `addDatabase` in interface `HasDatabasesInterface`
  Parameters:
    `ci` - The database connection information.

### addJobEntry

    public void addJobEntry(int p,
                            JobEntryCopy si)

### addJobHop

    public void addJobHop(int p,
                          JobHopMeta hi)

### addNote

    public void addNote(int p,
                        NotePadMeta ni)

### addDatabase

    public void addDatabase(int p,
                            org.pentaho.di.core.database.DatabaseMeta ci)

  Description copied from interface: `HasDatabasesInterface`
  Add a database connection to the transformation on a certain location.

  Specified by:
    `addDatabase` in interface `HasDatabasesInterface`
  Parameters:
    `p` - The location
    `ci` - The database connection information.

### addOrReplaceDatabase

    public void addOrReplaceDatabase(org.pentaho.di.core.database.DatabaseMeta databaseMeta)

  Description copied from interface: `HasDatabasesInterface`
  Add a database connection to the transformation if that connection didn't exists yet. Otherwise, replace the connection in the transformation

  Specified by:
    `addOrReplaceDatabase` in interface `HasDatabasesInterface`
  Parameters:
    `databaseMeta` - The database connection information.

### addOrReplaceSlaveServer

    public void addOrReplaceSlaveServer(SlaveServer slaveServer)

  Add a new slave server to the transformation if that didn't exist yet. Otherwise, replace it.

  Parameters:
    `slaveServer` - The slave server to be added.

### removeJobEntry

    public void removeJobEntry(int i)

### removeJobHop

    public void removeJobHop(int i)

### removeNote

    public void removeNote(int i)

### raiseNote

    public void raiseNote(int p)

### lowerNote

    public void lowerNote(int p)

### removeDatabase

    public void removeDatabase(int i)

  Description copied from interface: `HasDatabasesInterface`
  Removes a database from the transformation on a certain location.

  Specified by:
    `removeDatabase` in interface `HasDatabasesInterface`
  Parameters:
    `i` - The location

### indexOfJobHop

    public int indexOfJobHop(JobHopMeta he)

### indexOfNote

    public int indexOfNote(NotePadMeta ni)

### indexOfJobEntry

    public int indexOfJobEntry(JobEntryCopy ge)

### indexOfDatabase

    public int indexOfDatabase(org.pentaho.di.core.database.DatabaseMeta di)

  Description copied from interface: `HasDatabasesInterface`
  Find the location of database

  Specified by:
    `indexOfDatabase` in interface `HasDatabasesInterface`
  Parameters:
    `di` - The database queried
  Returns:
    The location of the database, -1 if nothing was found.

### setJobEntry

    public void setJobEntry(int idx,
                            JobEntryCopy jec)

### findJobEntry

    public JobEntryCopy findJobEntry(String name,
                                     int nr,
                                     boolean searchHiddenToo)

  Find an existing JobEntryCopy by it's name and number

  Parameters:
    `name` - The name of the job entry copy
    `nr` - The number of the job entry copy
  Returns:
    The JobEntryCopy or null if nothing was found!

### findJobEntry

    public JobEntryCopy findJobEntry(String full_name_nr)

### findJobHop

    public JobHopMeta findJobHop(String name)

### findJobHopFrom

    public JobHopMeta findJobHopFrom(JobEntryCopy jge)

### findJobHop

    public JobHopMeta findJobHop(JobEntryCopy from,
                                 JobEntryCopy to)

### findJobHopTo

    public JobHopMeta findJobHopTo(JobEntryCopy jge)

### findNrPrevJobEntries

    public int findNrPrevJobEntries(JobEntryCopy from)

### findPrevJobEntry

    public JobEntryCopy findPrevJobEntry(JobEntryCopy to,
                                         int nr)

### findNrPrevJobEntries

    public int findNrPrevJobEntries(JobEntryCopy to,
                                    boolean info)

### findPrevJobEntry

    public JobEntryCopy findPrevJobEntry(JobEntryCopy to,
                                         int nr,
                                         boolean info)

### findNrNextJobEntries

    public int findNrNextJobEntries(JobEntryCopy from)

### findNextJobEntry

    public JobEntryCopy findNextJobEntry(JobEntryCopy from,
                                         int cnt)

### hasLoop

    public boolean hasLoop(JobEntryCopy entry)

### hasLoop

    public boolean hasLoop(JobEntryCopy entry,
                           JobEntryCopy lookup)

### isEntryUsedInHops

    public boolean isEntryUsedInHops(JobEntryCopy jge)

### countEntries

    public int countEntries(String name)

### generateJobEntryNameNr

    public int generateJobEntryNameNr(String basename)

### findUnusedNr

    public int findUnusedNr(String name)

### findMaxNr

    public int findMaxNr(String name)

### getAlternativeJobentryName

    public String getAlternativeJobentryName(String entryname)

  Proposes an alternative job entry name when the original already exists...

  Parameters:
    `entryname` - The job entry name to find an alternative for..
  Returns:
    The alternative stepname.

### getAllJobGraphEntries

    public JobEntryCopy[] getAllJobGraphEntries(String name)

### getAllJobHopsUsing

    public JobHopMeta[] getAllJobHopsUsing(String name)

### getNote

    public NotePadMeta getNote(int x,
                               int y)

### selectAll

    public void selectAll()

### unselectAll

    public void unselectAll()

### getMaxUndo

    public int getMaxUndo()

  Description copied from interface: `UndoInterface`
  Get the maximum number of undo operations possible

  Specified by:
    `getMaxUndo` in interface `UndoInterface`
  Returns:
    The maximum number of undo operations that are allowed.

### setMaxUndo

    public void setMaxUndo(int mu)

  Description copied from interface: `UndoInterface`
  Sets the maximum number of undo operations that are allowed.

  Specified by:
    `setMaxUndo` in interface `UndoInterface`
  Parameters:
    `mu` - The maximum number of undo operations that are allowed.

### getUndoSize

    public int getUndoSize()

### clearUndo

    public void clearUndo()

### addUndo

    public void addUndo(Object[] from,
                        Object[] to,
                        int[] pos,
                        org.pentaho.di.core.gui.Point[] prev,
                        org.pentaho.di.core.gui.Point[] curr,
                        int type_of_change,
                        boolean nextAlso)

  Description copied from interface: `UndoInterface`
  Add an undo operation to the undo list

  Specified by:
    `addUndo` in interface `UndoInterface`
  Parameters:
    `from` - array of objects representing the old state
    `to` - array of objectes representing the new state
    `pos` - An array of object locations
    `prev` - An array of points representing the old positions
    `curr` - An array of points representing the new positions
    `type_of_change` - The type of change that's being done to the transformation.
    `nextAlso` - indicates that the next undo operation needs to follow this one.

### previousUndo

    public TransAction previousUndo()

  Description copied from interface: `UndoInterface`
  Get the previous undo operation and change the undo pointer

  Specified by:
    `previousUndo` in interface `UndoInterface`
  Returns:
    The undo transaction to be performed.

### viewThisUndo

    public TransAction viewThisUndo()

  View current undo, don't change undo position

  Specified by:
    `viewThisUndo` in interface `UndoInterface`
  Returns:
    The current undo transaction

### viewPreviousUndo

    public TransAction viewPreviousUndo()

  Description copied from interface: `UndoInterface`
  View previous undo, don't change undo position

  Specified by:
    `viewPreviousUndo` in interface `UndoInterface`
  Returns:
    The previous undo transaction

### nextUndo

    public TransAction nextUndo()

  Description copied from interface: `UndoInterface`
  Get the next undo transaction on the list. Change the undo pointer.

  Specified by:
    `nextUndo` in interface `UndoInterface`
  Returns:
    The next undo transaction (for redo)

### viewNextUndo

    public TransAction viewNextUndo()

  Description copied from interface: `UndoInterface`
  Get the next undo transaction on the list.

  Specified by:
    `viewNextUndo` in interface `UndoInterface`
  Returns:
    The next undo transaction (for redo)

### getMaximum

    public org.pentaho.di.core.gui.Point getMaximum()

### getSelectedLocations

    public org.pentaho.di.core.gui.Point[] getSelectedLocations()

### getSelectedEntries

    public JobEntryCopy[] getSelectedEntries()

### nrSelected

    public int nrSelected()

### getSelected

    public JobEntryCopy getSelected(int nr)

### getEntryIndexes

    public int[] getEntryIndexes(JobEntryCopy[] entries)

### findStart

    public JobEntryCopy findStart()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isLogfieldUsed

    public boolean isLogfieldUsed()

  Returns:
    Returns the logfieldUsed.

### setLogfieldUsed

    public void setLogfieldUsed(boolean logfieldUsed)

  Parameters:
    `logfieldUsed` - The logfieldUsed to set.

### isBatchIdUsed

    public boolean isBatchIdUsed()

  Returns:
    Returns the useBatchId.

### setUseBatchId

    public void setUseBatchId(boolean useBatchId)

  Parameters:
    `useBatchId` - The useBatchId to set.

### isBatchIdPassed

    public boolean isBatchIdPassed()

  Returns:
    Returns the batchIdPassed.

### setBatchIdPassed

    public void setBatchIdPassed(boolean batchIdPassed)

  Parameters:
    `batchIdPassed` - The batchIdPassed to set.

### getSQLStatements

    public List<org.pentaho.di.core.SQLStatement> getSQLStatements(Repository repository,
                                                                   org.pentaho.di.core.ProgressMonitorListener monitor)
                                                            throws org.pentaho.di.core.exception.KettleException

  Builds a list of all the SQL statements that this transformation needs in order to work properly.

  Returns:
    An ArrayList of SQLStatement objects.
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getLogTable

    public String getLogTable()

  Returns:
    Returns the logTable.

### setLogTable

    public void setLogTable(String logTable)

  Parameters:
    `logTable` - The logTable to set.

### getArguments

    public String[] getArguments()

  Returns:
    Returns the arguments.

### setArguments

    public void setArguments(String[] arguments)

  Parameters:
    `arguments` - The arguments to set.

### getStringList

    public List<StringSearchResult> getStringList(boolean searchSteps,
                                                  boolean searchDatabases,
                                                  boolean searchNotes)

  Get a list of all the strings used in this job.

  Returns:
    A list of StringSearchResult with strings used in the job

### getUsedVariables

    public List<String> getUsedVariables()

### getSelectedDrawnJobEntryList

    public List<org.pentaho.di.core.gui.GUIPositionInterface> getSelectedDrawnJobEntryList()

  Get an array of all the selected job entries

  Returns:
    A list containing all the selected & drawn job entries.

### haveConnectionsChanged

    public boolean haveConnectionsChanged()

  Description copied from interface: `HasDatabasesInterface`
  Checks whether or not the connections have changed.

  Specified by:
    `haveConnectionsChanged` in interface `HasDatabasesInterface`
  Returns:
    True if the connections have been changed.

### haveJobEntriesChanged

    public boolean haveJobEntriesChanged()

### haveJobHopsChanged

    public boolean haveJobHopsChanged()

### haveNotesChanged

    public boolean haveNotesChanged()

### getSharedObjectsFile

    public String getSharedObjectsFile()

  Returns:
    the sharedObjectsFile

### setSharedObjectsFile

    public void setSharedObjectsFile(String sharedObjectsFile)

  Parameters:
    `sharedObjectsFile` - the sharedObjectsFile to set

### setModifiedUser

    public void setModifiedUser(String modifiedUser)

  Specified by:
    `setModifiedUser` in interface `EngineMetaInterface`
  Parameters:
    `modifiedUser` - The modifiedUser to set.

### getModifiedUser

    public String getModifiedUser()

  Specified by:
    `getModifiedUser` in interface `EngineMetaInterface`
  Returns:
    Returns the modifiedUser.

### setModifiedDate

    public void setModifiedDate(Date modifiedDate)

  Specified by:
    `setModifiedDate` in interface `EngineMetaInterface`
  Parameters:
    `modifiedDate` - The modifiedDate to set.

### getModifiedDate

    public Date getModifiedDate()

  Specified by:
    `getModifiedDate` in interface `EngineMetaInterface`
  Returns:
    Returns the modifiedDate.

### getDescription

    public String getDescription()

  Returns:
    The description of the job

### getExtendedDescription

    public String getExtendedDescription()

  Returns:
    The extended description of the job

### getJobversion

    public String getJobversion()

  Returns:
    The version of the job

### getJobstatus

    public int getJobstatus()

  Get the status of the job

### setDescription

    public void setDescription(String description)

  Set the description of the job.

  Parameters:
    `description` - The new description of the job

### setExtendedDescription

    public void setExtendedDescription(String extendedDescription)

  Set the description of the job.

  Parameters:
    `extendedDescription` - The new extended description of the job

### setJobversion

    public void setJobversion(String jobVersion)

  Set the version of the job.

  Parameters:
    `jobVersion` - The new version description of the job

### setJobstatus

    public void setJobstatus(int jobStatus)

  Set the status of the job.

  Parameters:
    `jobStatus` - The new status description of the job

### getCreatedDate

    public Date getCreatedDate()

  Specified by:
    `getCreatedDate` in interface `EngineMetaInterface`
  Returns:
    Returns the createdDate.

### setCreatedDate

    public void setCreatedDate(Date createdDate)

  Specified by:
    `setCreatedDate` in interface `EngineMetaInterface`
  Parameters:
    `createdDate` - The createdDate to set.

### setCreatedUser

    public void setCreatedUser(String createdUser)

  Specified by:
    `setCreatedUser` in interface `EngineMetaInterface`
  Parameters:
    `createdUser` - The createdUser to set.

### getCreatedUser

    public String getCreatedUser()

  Specified by:
    `getCreatedUser` in interface `EngineMetaInterface`
  Returns:
    Returns the createdUser.

### findJobEntry

    public static final JobEntryInterface findJobEntry(List<JobEntryInterface> jobentries,
                                                       long id_jobentry)

  Find a jobentry with a certain ID in a list of job entries.

  Parameters:
    `jobentries` - The List of jobentries
    `id_jobentry` - The id of the jobentry
  Returns:
    The JobEntry object if one was found, null otherwise.

### findJobEntryCopy

    public static final JobEntryCopy findJobEntryCopy(List<JobEntryCopy> jobcopies,
                                                      long id_jobentry_copy)

  Find a jobentrycopy with a certain ID in a list of job entry copies.

  Parameters:
    `jobcopies` - The List of jobentry copies
    `id_jobentry_copy` - The id of the jobentry copy
  Returns:
    The JobEntryCopy object if one was found, null otherwise.

### setInternalKettleVariables

    public void setInternalKettleVariables()

  Calls setInternalKettleVariables on the default object.

  Specified by:
    `setInternalKettleVariables` in interface `EngineMetaInterface`

### setInternalKettleVariables

    public void setInternalKettleVariables(org.pentaho.di.core.variables.VariableSpace var)

  This method sets various internal kettle variables that can be used by the transformation.

### copyVariablesFrom

    public void copyVariablesFrom(org.pentaho.di.core.variables.VariableSpace space)

  Specified by:
    `copyVariablesFrom` in interface `org.pentaho.di.core.variables.VariableSpace`

### environmentSubstitute

    public String environmentSubstitute(String aString)

  Specified by:
    `environmentSubstitute` in interface `org.pentaho.di.core.variables.VariableSpace`

### environmentSubstitute

    public String[] environmentSubstitute(String[] aString)

  Specified by:
    `environmentSubstitute` in interface `org.pentaho.di.core.variables.VariableSpace`

### getParentVariableSpace

    public org.pentaho.di.core.variables.VariableSpace getParentVariableSpace()

  Specified by:
    `getParentVariableSpace` in interface `org.pentaho.di.core.variables.VariableSpace`

### setParentVariableSpace

    public void setParentVariableSpace(org.pentaho.di.core.variables.VariableSpace parent)

  Specified by:
    `setParentVariableSpace` in interface `org.pentaho.di.core.variables.VariableSpace`

### getVariable

    public String getVariable(String variableName,
                              String defaultValue)

  Specified by:
    `getVariable` in interface `org.pentaho.di.core.variables.VariableSpace`

### getVariable

    public String getVariable(String variableName)

  Specified by:
    `getVariable` in interface `org.pentaho.di.core.variables.VariableSpace`

### getBooleanValueOfVariable

    public boolean getBooleanValueOfVariable(String variableName,
                                             boolean defaultValue)

  Specified by:
    `getBooleanValueOfVariable` in interface `org.pentaho.di.core.variables.VariableSpace`

### initializeVariablesFrom

    public void initializeVariablesFrom(org.pentaho.di.core.variables.VariableSpace parent)

  Specified by:
    `initializeVariablesFrom` in interface `org.pentaho.di.core.variables.VariableSpace`

### listVariables

    public String[] listVariables()

  Specified by:
    `listVariables` in interface `org.pentaho.di.core.variables.VariableSpace`

### setVariable

    public void setVariable(String variableName,
                            String variableValue)

  Specified by:
    `setVariable` in interface `org.pentaho.di.core.variables.VariableSpace`

### shareVariablesWith

    public void shareVariablesWith(org.pentaho.di.core.variables.VariableSpace space)

  Specified by:
    `shareVariablesWith` in interface `org.pentaho.di.core.variables.VariableSpace`

### injectVariables

    public void injectVariables(Map<String,String> prop)

  Specified by:
    `injectVariables` in interface `org.pentaho.di.core.variables.VariableSpace`

### checkJobEntries

    public void checkJobEntries(List<org.pentaho.di.core.CheckResultInterface> remarks,
                                boolean only_selected,
                                org.pentaho.di.core.ProgressMonitorListener monitor)

  Check all job entries within the job. Each Job Entry has the opportunity to check their own settings.

  Parameters:
    `remarks` - List of CheckResult remarks inserted into by each JobEntry
    `only_selected` - true if you only want to check the selected jobs
    `monitor` - Progress monitor (not presently in use)

### getResourceDependencies

    public List<ResourceReference> getResourceDependencies()

### exportResources

    public String exportResources(org.pentaho.di.core.variables.VariableSpace space,
                                  Map<String,ResourceDefinition> definitions,
                                  ResourceNamingInterface namingInterface,
                                  Repository repository)
                           throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `ResourceExportInterface`
  Exports the object to a flat-file system, adding content with filename keys to a set of definitions. The supplied resource naming interface allows the object to name appropriately without worrying about those parts of the implementation specific details.

  Specified by:
    `exportResources` in interface `ResourceExportInterface`
  Parameters:
    `space` - The variable space to resolve (environment) variables with.
    `definitions` - The map containing the filenames and content
    `namingInterface` - The resource naming interface allows the object to name appropriately
    `repository` - the repository object to load from
  Returns:
    The filename for this object. (also contained in the definitions map)
  Throws:
    `org.pentaho.di.core.exception.KettleException` - in case something goes wrong during the export

### getSlaveServers

    public List<SlaveServer> getSlaveServers()

  Specified by:
    `getSlaveServers` in interface `HasSlaveServersInterface`
  Returns:
    the slaveServer list

### setSlaveServers

    public void setSlaveServers(List<SlaveServer> slaveServers)

  Parameters:
    `slaveServers` - the slaveServers to set

### findSlaveServer

    public SlaveServer findSlaveServer(String serverString)

  Find a slave server using the name

  Parameters:
    `serverString` - the name of the slave server
  Returns:
    the slave server or null if we couldn't spot an approriate entry.

### getSlaveServerNames

    public String[] getSlaveServerNames()

  Returns:
    An array list slave server names

### renameJobEntryIfNameCollides

    public void renameJobEntryIfNameCollides(JobEntryCopy je)

  See if the name of the supplied job entry copy doesn't collide with any other job entry copy in the job.

  Parameters:
    `je` - The job entry copy to verify the name for.

### getSharedObjects

    public SharedObjects getSharedObjects()

  Returns:
    the sharedObjects

### setSharedObjects

    public void setSharedObjects(SharedObjects sharedObjects)

  Parameters:
    `sharedObjects` - the sharedObjects to set

### addNameChangedListener

    public void addNameChangedListener(NameChangedListener listener)

### removeNameChangedListener

    public void removeNameChangedListener(NameChangedListener listener)

### addFilenameChangedListener

    public void addFilenameChangedListener(FilenameChangedListener listener)

### removeFilenameChangedListener

    public void removeFilenameChangedListener(FilenameChangedListener listener)

### activateParameters

    public void activateParameters()

  Specified by:
    `activateParameters` in interface `org.pentaho.di.core.parameters.NamedParams`

### addParameterDefinition

    public void addParameterDefinition(String key,
                                       String defValue,
                                       String description)
                                throws org.pentaho.di.core.parameters.DuplicateParamException

  Specified by:
    `addParameterDefinition` in interface `org.pentaho.di.core.parameters.NamedParams`
  Throws:
    `org.pentaho.di.core.parameters.DuplicateParamException`

### getParameterDescription

    public String getParameterDescription(String key)
                                   throws org.pentaho.di.core.parameters.UnknownParamException

  Specified by:
    `getParameterDescription` in interface `org.pentaho.di.core.parameters.NamedParams`
  Throws:
    `org.pentaho.di.core.parameters.UnknownParamException`

### getParameterDefault

    public String getParameterDefault(String key)
                               throws org.pentaho.di.core.parameters.UnknownParamException

  Specified by:
    `getParameterDefault` in interface `org.pentaho.di.core.parameters.NamedParams`
  Throws:
    `org.pentaho.di.core.parameters.UnknownParamException`

### getParameterValue

    public String getParameterValue(String key)
                             throws org.pentaho.di.core.parameters.UnknownParamException

  Specified by:
    `getParameterValue` in interface `org.pentaho.di.core.parameters.NamedParams`
  Throws:
    `org.pentaho.di.core.parameters.UnknownParamException`

### listParameters

    public String[] listParameters()

  Specified by:
    `listParameters` in interface `org.pentaho.di.core.parameters.NamedParams`

### setParameterValue

    public void setParameterValue(String key,
                                  String value)
                           throws org.pentaho.di.core.parameters.UnknownParamException

  Specified by:
    `setParameterValue` in interface `org.pentaho.di.core.parameters.NamedParams`
  Throws:
    `org.pentaho.di.core.parameters.UnknownParamException`

### eraseParameters

    public void eraseParameters()

  Specified by:
    `eraseParameters` in interface `org.pentaho.di.core.parameters.NamedParams`

### clearParameters

    public void clearParameters()

  Specified by:
    `clearParameters` in interface `org.pentaho.di.core.parameters.NamedParams`

### copyParametersFrom

    public void copyParametersFrom(org.pentaho.di.core.parameters.NamedParams params)

  Specified by:
    `copyParametersFrom` in interface `org.pentaho.di.core.parameters.NamedParams`

### getLogSizeLimit

    public String getLogSizeLimit()

  Returns:
    the logSizeLimit

### setLogSizeLimit

    public void setLogSizeLimit(String logSizeLimit)

  Parameters:
    `logSizeLimit` - the logSizeLimit to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD